import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "@emotion/react/jsx-runtime";
import { Box, Text, Icon, HStack } from "@chakra-ui/react";
import { Link } from "react-router-dom";
import iconsList from "../../components/iconsList";
const NavigationList = ({ navigations, params, composer }) => {
    return (_jsx(_Fragment, { children: navigations.map((menu) => (_jsx(Box, Object.assign({ py: "1", px: "4" }, { children: _jsx(Link, Object.assign({ to: `/page/${menu.id}`, onClick: () => composer.setExitDirection("none") }, { children: _jsxs(HStack, Object.assign({ cursor: "pointer", spacing: 2, px: 4, py: 2, bg: params.page === menu.id ? "brand.900" : "white", transition: "background 200ms ease-out", _hover: {
                        bg: params.page === menu.id ? "brand.900" : "bg.900",
                    }, rounded: "md", textDecoration: "none", _focusVisible: {
                        outline: "none",
                    } }, { children: [_jsx(Icon, { as: iconsList[menu.icon], cursor: "pointer", color: params.page === menu.id ? "white" : "text.900" }), _jsx(Text, Object.assign({ color: params.page === menu.id ? "white" : "text.900" }, { children: menu.title }))] }), menu.id + "stack") })) }), menu.id))) }));
};
export default NavigationList;
//# sourceMappingURL=navigation-list.js.map