import { jsx as _jsx } from "@emotion/react/jsx-runtime";
import { Flex } from "@chakra-ui/react";
const ContainerComponent = ({ children, properties, instance, }) => {
    const backgroundStyle = properties.background === "fill"
        ? {
            bg: "surface.900",
            shadow: "none",
        }
        : {
            bg: "transparent",
        };
    return (_jsx(Flex, Object.assign({ minH: children[0] !== undefined ? undefined : "50px", rounded: "lg", flex: properties.length, p: properties.padding, justifyContent: properties.justify }, backgroundStyle, { direction: properties.direction, gap: properties.gap, overflowX: instance.metadata.container === undefined ? "scroll" : "unset" }, { children: children })));
};
export default ContainerComponent;
//# sourceMappingURL=Container.js.map