import { jsxs as _jsxs } from "@emotion/react/jsx-runtime";
import { Text } from "@chakra-ui/react";
const InputComponentLabel = ({ title, name, isRequired, isEmpty, isLabel, }) => {
    return (_jsxs(Text, Object.assign({ fontSize: "lg", pb: name === "rating" ? "1" : "2", "data-test": `${name}-input-title` }, { children: [title, !isLabel ||
                (!isRequired && !isEmpty && (_jsxs(Text, Object.assign({ display: "inline", fontStyle: "italic" }, { children: [" ", "- Optional"] }))))] })));
};
export default InputComponentLabel;
//# sourceMappingURL=InputComponentLabel.js.map