import { jsx as _jsx } from "@emotion/react/jsx-runtime";
import React from "react";
import { Center, Spinner } from "@chakra-ui/react";
export const PageSuspense = ({ children }) => (_jsx(React.Suspense, Object.assign({ fallback: _jsx(Center, Object.assign({ h: "100%" }, { children: _jsx(Spinner, { thickness: "4px", speed: "0.65s", emptyColor: "gray.200", color: "qore.primary", size: "xl" }) })) }, { children: children })));
export const withSuspense = (Component) => {
    const WithSuspense = (props) => {
        return (_jsx(PageSuspense, { children: _jsx(Component, Object.assign({}, props)) }));
    };
    return WithSuspense;
};
//# sourceMappingURL=PageSuspense.js.map