import { useVariable } from "../VariablesContext";
export function useRichtext(richtext) {
    const variableValue = useVariable(typeof richtext === "string" ? richtext : "");
    if (typeof richtext === "string") {
        if (typeof richtext === "string" && Array.isArray(variableValue)) {
            return variableValue;
        }
        else {
            return [
                {
                    // @ts-ignore
                    type: "paragraph",
                    children: [
                        {
                            text: String(variableValue),
                        },
                    ],
                },
            ];
        }
    }
    return richtext;
}
//# sourceMappingURL=useRichText.js.map