import { jsx as _jsx, jsxs as _jsxs } from "@emotion/react/jsx-runtime";
import { Box, Flex, Icon, Text } from "@chakra-ui/react";
import { Close } from "@feedloop/icon";
import { registerComponent } from "../interfaces";
export default registerComponent("Forbidden", {
    type: "none",
    icon: "IconKey",
    group: "system",
    defaultProps: {},
    propDefinition: {},
    Component: () => {
        return (_jsxs(Box, Object.assign({ bg: "white", rounded: "md", m: 5, p: 5 }, { children: [_jsx(Flex, Object.assign({ justifyContent: "center" }, { children: _jsx(Icon, { as: Close, color: "red", bgColor: "red.100", w: 20, h: 20, rounded: "full" }) })), _jsxs(Box, Object.assign({ textAlign: "center", noOfLines: 2, marginTop: 5 }, { children: [_jsx(Text, Object.assign({ fontWeight: "bold" }, { children: `You can't access this page` })), _jsx(Text, Object.assign({ fontWeight: "normal" }, { children: `You don't have permission to view it` }))] }))] })));
    },
});
//# sourceMappingURL=buildForbidden.js.map