export const generateWebmanifest = (schema) => ({
    theme_color: schema.theme_color,
    background_color: schema.theme_color,
    description: schema.description || "An application made with qore",
    display: "standalone",
    icons: [
        {
            src: schema.icon ||
                "https://dashboard.qorebase.io/android-chrome-192x192.png",
            sizes: "192x192",
            type: "image/png",
        },
    ],
    name: schema.name,
    short_name: schema.name,
    start_url: `/`,
});
//# sourceMappingURL=webmanifest.js.map