import ActionEditor from "./action";
import BooleanEditor from "./boolean";
import ExpressionEditor from "./expression";
import DateEditor from "./date";
import NumberEditor from "./number";
import StringEditor from "./string";
import StateEditor from "./state";
import RelationEditor from "./relation";
import RolePropertyEditor from "./role";
import RichtextPropertyEditor from "./richtext";
import VariablePropertyEditor from "./variable";
import ArrayPropertyEditor from "./array";
const PropertyEditorByType = {
    expression: ExpressionEditor,
    boolean: BooleanEditor,
    date: DateEditor,
    action: ActionEditor,
    number: NumberEditor,
    string: StringEditor,
    state: StateEditor,
    relation: RelationEditor,
    role: RolePropertyEditor,
    richtext: RichtextPropertyEditor,
    variable: VariablePropertyEditor,
    array: ArrayPropertyEditor,
};
export default PropertyEditorByType;
//# sourceMappingURL=index.js.map