import { jsxs as _jsxs } from "@emotion/react/jsx-runtime";
import { FormLabel, Text } from "@chakra-ui/react";
const InputComponentFormLabel = ({ title, name, instanceId, fontWeight, isRequired, isEmpty, }) => {
    return (_jsxs(FormLabel, Object.assign({ fontSize: "lg", htmlFor: instanceId, m: name !== "password" && name !== "confirm-password" && "0", mb: (name === "password" || name === "confirm-password") && "2", fontWeight: fontWeight, "data-test": `${name}-input-title` }, { children: [title, !isRequired && !isEmpty && (_jsxs(Text, Object.assign({ display: "inline", fontStyle: "italic" }, { children: [" ", "- Optional"] })))] })));
};
export default InputComponentFormLabel;
//# sourceMappingURL=InputComponentFormLabel.js.map