import { jsx as _jsx, jsxs as _jsxs } from "@emotion/react/jsx-runtime";
import { Box, Flex, HStack, Icon, Text } from "@chakra-ui/react";
import { MapPin } from "@feedloop/icon";
import React from "react";
export const LocationNotFound = React.memo(function _LocationNotFound() {
    return (_jsx(Box, Object.assign({ p: "1rem 0.8rem", borderRadius: "md", bg: "white", w: "full" }, { children: _jsxs(HStack, Object.assign({ alignItems: "start", spacing: 4 }, { children: [_jsx(Flex, Object.assign({ m: 0, p: "1rem", bg: "#FCEAEB", rounded: "sm" }, { children: _jsx(Icon, { as: MapPin, color: "#E03138", fontSize: "lg" }) })), _jsxs(Box, Object.assign({ flex: 1 }, { children: [_jsx(Text, Object.assign({ fontWeight: 600 }, { children: "Location not found" })), _jsx(Text, Object.assign({ color: "#6F809A", noOfLines: 3 }, { children: "Check your spelling or select via map to select your location" }))] }))] })) })));
});
//# sourceMappingURL=location-not-found.map.js.map