import { __rest } from "tslib";
import { jsx as _jsx, jsxs as _jsxs } from "@emotion/react/jsx-runtime";
import { Box, Input } from "@chakra-ui/react";
export function SearchInput(props) {
    const { onClick } = props, inputProps = __rest(props, ["onClick"]);
    return (_jsxs(Box, Object.assign({ position: "relative" }, { children: [_jsx(Box, { cursor: "text", position: "absolute", left: 0, right: 0, bottom: 0, top: 0, zIndex: 2 }), _jsx(Input, Object.assign({ pr: "10", bgColor: "surface.900", _disabled: { border: "1px solid rgb(226, 232, 240)" }, "data-test": "location-input", size: "md", flex: 1, border: "1px solid rgb(226, 232, 240)", pointerEvents: "auto", color: "#A2A2A2" }, inputProps))] })));
}
//# sourceMappingURL=searchInput.js.map