import React from "react";
import { RuntimeContext } from "../RuntimeContext";
export const useSchemaSource = (types) => {
    const schema = RuntimeContext.useSelectState((state) => state.schema);
    return React.useMemo(() => types.reduce((source, type) => source.concat(schema[type]), []), [schema, types]);
};
//# sourceMappingURL=useSchemaSource.js.map