import memoize from "fast-memoize";
import React from "react";
import startCase from "lodash/fp/startCase";
export const humanize = memoize(startCase);
export const useHumanize = (text) => {
    return React.useMemo(() => humanize(text), [text]);
};
//# sourceMappingURL=humanizeString.js.map