import { jsx as _jsx } from "@emotion/react/jsx-runtime";
import React from "react";
import { Switch } from "@chakra-ui/react";
const BooleanPropertyEditor = (props) => {
    const handleChange = React.useCallback((e) => {
        props.onChange(e.currentTarget.checked);
    }, [props.onChange]);
    return _jsx(Switch, { defaultChecked: props.value, onChange: handleChange });
};
export default BooleanPropertyEditor;
//# sourceMappingURL=boolean.js.map