import getConfig from "next/config";
const { publicRuntimeConfig } = getConfig();
export const convertFileToPublicURL = (tableName, columnName, rowId, file) => {
    if (!(file && typeof file === "object" && "filename" in file))
        return "";
    return `${publicRuntimeConfig.qoreDataConsoleEndpoint}/v1/files/public/${tableName}/${rowId}/${columnName}/${file.filename}`;
};
//# sourceMappingURL=convertFileToPublicURL.js.map